generator:
  class: sfDoctrineGenerator
  param:
    model_class:           Offer
    theme:                 admin
    non_verbose_templates: true
    with_show:             false
    singular:              ~
    plural:                ~
    route_prefix:          offer
    with_doctrine_route:   true
    actions_base_class:    sfActions
    order: 15
    skip: true

    config:
      actions: ~
      fields:
        id: {label: ''}
        inner_id: {label: ''}
        price: {label: 'Цена'}
        product_id: {label: ''}
        img: {label: 'Изображение'}
        quantity_type: {label: 'Единица измерения'}
        created_at: {label: ''}
        updated_at: {label: ''}
        is_wholesale: {label: 'Оптовая цена'}
      list:
        layout: ~
        title: 'Торговые предложения'
        display: [price, product_id, img]
        max_per_page: 100
        object_actions:
          _delete: ~
          _edit: ~
        search:
          fields: false
        export: false
      filter:
        class: false
      form: ~
      edit:
        title: Редактирование предложения
      new:
        title: Добавление предложения